sc::RedundantCartesianSubIter(3)

NAME
sc::RedundantCartesianSubIter -

Like RedundantCartesianIter, except a, b, and c are fixed to a given value.

SYNOPSIS

#include <cartiter.h>

Inherited by sc::RedundantCartesianSubIterCCA, sc::RedundantCartesianSubIterCints, and sc::RedundantCartesianSubIterV3.

  Public Member Functions
RedundantCartesianSubIter (int l)
Create a object for the given angular momentum.
virtual int bfn ()=0
Return the current Cartesian basis function number.
void start (int a, int b, int c)
Initialize the iterator.
void next ()
Move to the next combination of axes.
operator int () const
Returns nonzero if the iterator currently hold valid data.
int a () const
The current exponent of x.
int b () const
The current exponent of y.
int c () const
The current exponent of z.
int l () const
The angular momentum.
int l (int i)
Returns a() if i==0, b() if i==1, and c() if i==2.
int axis (int i)
Return the i'th axis.

Detailed Description

Like RedundantCartesianIter, except a, b, and c are fixed to a given value.

Member Function Documentation

  void sc::RedundantCartesianSubIter::start (inta, intb, intc)

Initialize the iterator. The constraints on a, b, and c are given as arguments.

Author

Generated automatically by Doxygen for MPQC from the source code.